Subject: Re: [mpls] doubt regarding RFC 3032

From: shilpa goel <[email-masked]>
Date: Tue, 14 Nov 2006 10:15:40 +0530

> > From: shilpa goel [mailto:[email-masked]]
> > Sent: Fri 11/10/2006 1:40 PM
> > To: [email-masked]
> > Subject: [mpls] doubt regarding RFC 3032
> >
> > hi,
> >
> >  I am not clear with Section 2.3.2 of RFC 3032 which states that
> > "Unless the message is
> >   label switched all the way to the destination host, it will end up,
> > unlabeled, in a router which does know how to route to the source of
> > original packet, at which point the message will be sent in the proper
> > direction.".
> > How will the ICMP packet find its way to the source?
> >
> > regards,
> > Shilpa
> >
> > _______________________________________________
> > mpls mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mpls
> >
> >
>
>
>

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: shilpa goel <[email-masked]>
Date: Tue, 14 Nov 2006 10:15:40 +0530

Thanks for the example:)

This is clear to me that ICMP packet will be routed properly only if a
bi-directional LSP exist between the source and the destination.

But if this is not the case, then how will the ICMP packet be routed
to the source.

Please clarify.

Shilpa

On 11/13/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> Hi Shilpa,
>
> I shall try to explain this (as per my understanding) using an eg.
>
> Consider the following topology
>
>
>
>
>       *******           *******          ********        ********
>       * R1  *-----------* R2  *----------* R3   *--------* R4   *
>    +--*     *-----------*     *----------*      *--------*      *--+
>    |  *******           *******          ********        ********  |
>    |                                                               |
>    |                                                               |
>    |                                                               |
> +--+--+                                                         +--+--+
> |P1   |                                                         |P2   |
> |     |                                                         |     |
> +-----+                                                         +-----+
>
>
>
> P1 & P2 are private ip addresses. For P1 & P2 to communicate through the
> public network (consisting
>  of routers R1, R2, R3 & R4), two mpls tunnel will be created, R1 to R4 and
> vice-versa.
> Now R1 will direct packets destined to P2 over the tunnel-R1-to-R4. Similary
> R4 can direct packets
> destined to P1 over tunnel-R4-to-R1.
>
> Now consider the following scenario,
> P1 sends an IP packet to P2. R1 will direct it over the mpls tunnel
> "tunnel-R1-to-R4".
> Lets assume when R2 recieves this mpls packet from R1, it needs to send a
> ICMP message to P1. Now R2 generates the ICMP message, copies the
> label-stack to this packet. This way the ICMP packet will follow the tunnel
> "tunnel-R1-to-R4" & reach R4 where it will be unlabeled (after the bottom
> label is popped out). Now as per the RFC, R4 will send the ICMP message in
> proper direction i.e. towards P1 and it is possible because R4 can simply
> direct the ICMP packet over the tunnel "tunnel-R4-to-R1" and the packet will
> reach R1 which can in-turn route the ICMP packet to P1.
>
> Regards,
> Anjan
>
>
>
>
>
> -----Original Message-----
>  I am >
Cc: [email-masked]

Thanks for the example:)

This is clear to me that ICMP packet will be routed properly only if a
bi-directional LSP exist between the source and the destination.

But if this is not the case, then how will the ICMP packet be routed
to the source.

Please clarify.

Shilpa

On 11/13/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> Hi Shilpa,
>
> I shall try to explain this (as per my understanding) using an eg.
>
> Consider the following topology
>
>
>
>
>       *******           *******          ********        ********
>       * R1  *-----------* R2  *----------* R3   *--------* R4   *
>    +--*     *-----------*     *----------*      *--------*      *--+
>    |  *******           *******          ********        ********  |
>    |                                                               |
>    |                                                               |
>    |                                                               |
> +--+--+                                                         +--+--+
> |P1   |                                                         |P2   |
> |     |                                                         |     |
> +-----+                                                         +-----+
>
>
>
> P1 & P2 are private ip addresses. For P1 & P2 to communicate through the
> public network (consisting
>  of routers R1, R2, R3 & R4), two mpls tunnel will be created, R1 to R4 and
> vice-versa.
> Now R1 will direct packets destined to P2 over the tunnel-R1-to-R4. Similary
> R4 can direct packets
> destined to P1 over tunnel-R4-to-R1.
>
> Now consider the following scenario,
> P1 sends an IP packet to P2. R1 will direct it over the mpls tunnel
> "tunnel-R1-to-R4".
> Lets assume when R2 recieves this mpls packet from R1, it needs to send a
> ICMP message to P1. Now R2 generates the ICMP message, copies the
> label-stack to this packet. This way the ICMP packet will follow the tunnel
> "tunnel-R1-to-R4" & reach R4 where it will be unlabeled (after the bottom
> label is popped out). Now as per the RFC, R4 will send the ICMP message in
> proper direction i.e. towards P1 and it is possible because R4 can simply
> direct the ICMP packet over the tunnel "tunnel-R4-to-R1" and the packet will
> reach R1 which can in-turn route the ICMP packet to P1.
>
> Regards,
> Anjan
>
>
>
>
>
> -----Original Message-----

not clear with Section 2.3.2 of RFC 3032 which states that